SoLineDetail(3IV)

NAME
SoLineDetail — stores detail information about vertex-based shapes made of line segments

INHERITS FROM
SoDetail > SoLineDetail

SYNOPSIS
#include <Inventor/details/SoLineDetail.h>

Methods from class SoLineDetail:

SoLineDetail()
virtual
~SoLineDetail()
const SoPointDetail *
getPoint0() const
const SoPointDetail *
getPoint1() const
int32_t
getLineIndex() const
int32_t
getPartIndex() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a line segment in a vertex-based shape made of line segments. The information includes the points at the ends of the segment, and the index of the segment within the shape.

METHODS

SoLineDetail()
virtual
~SoLineDetail()
Constructor and destructor.

const SoPointDetail *
getPoint0() const
const SoPointDetail *
getPoint1() const
These return information about the two points forming the end vertices of the line segment, represented as an SoPointDetail.

int32_t
getLineIndex() const
Returns the index of the line the segment is part of within a shape, such as the third line within an SoLineSet.

int32_t
getPartIndex() const
Returns the index of the part containing the line segment within the shape. Usually, the part index is the same as the line segment index, such as the fifth segment overall within an SoLineSet.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoDetail, SoPickedPoint, SoPrimitiveVertex, SoVertexShape